Thread Rating:
  • 0 Vote(s) - 0 Average
[RELEASE] New OpenGL plugin NastyFFT
#16
spiff Wrote:this is an openGL visualization. windows uses direct3D. stop the futile nagging already Wink

I'm sorry but I can not agree here fully Smile
Windows can use OpenGL pretty fine, just that some programs prefer Direct3D does not mean windows does not use OpenGL.

... "In all three major desktop platforms (Linux, MacOS X, and Windows), OpenGL more or less comes with the system. However, you will need to ensure that you have downloaded and installed a recent driver for your graphics hardware." ...

So I'm fine to release windows version anytime soon. Just need bit more free time.
Thanks,
Big Grin
Reply
#17
He was more on about xbmc for windows utilising direct3d, the opengl support has been discontinued some time ago.
Always read the XBMC online-manual, FAQ and search the forum before posting.
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting please make sure you read this first.
Reply
#18
Question 
Clumsy so this means no opengl for visualizators in windows ?
Reply
#19
If I am not mistaken, that is unfortunately what it means.
Always read the XBMC online-manual, FAQ and search the forum before posting.
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting please make sure you read this first.
Reply
#20
I would love to see this available on the windows platform. Any chance that a windows build might be made available?Big Grin
Reply
#21
Smile 
While some say opengl is not supported according to this page it is very well supported http://wiki.xbmc.org/index.php?title=HOW...or_Windows
I will investigate bit more time into this very soon so all waiting for the windows version will be happy.
Reply
#22
First of all this visualization looks great! Unfortunately I was unable to get it to play nice with my setup no matter how hard I try.

I am running Crystalbuntu on a ATV1 with Pre-Eden on it. I used the build that giftie made, and it installed but then gave me error messages.

I am so bored of the default visualizations, and this looks like an awesome alternative. Any ideas on how to get it working for a person who has no idea how to compile anything?

Thanks in advance.
Reply
#23
justinlarsen Wrote:First of all this visualization looks great! Unfortunately I was unable to get it to play nice with my setup no matter how hard I try.

I am running Crystalbuntu on a ATV1 with Pre-Eden on it. I used the build that giftie made, and it installed but then gave me error messages.

I am so bored of the default visualizations, and this looks like an awesome alternative. Any ideas on how to get it working for a person who has no idea how to compile anything?

Thanks in advance.

What version of XBMC are you using(pre-Eden is technically anything after Dharma 10.1 Laugh ) Honestly haven't tried it with the latest.

I'll test it and see if it still works on my system.. It still works with my install(newer than Eden Beta1)

Does it give errors when it is being installed or when you try to use it?
Image
For troubleshooting and bug reporting please make sure you read this first you can also use XBMC Log Uploader Script.
Cinema Experience
Cinema Experience Wiki
cdART Manager
fanart.tv


Reply
#24
I am running Eden Beta with crystalbuntu on an appletv1, it installs fine but it gives me errors when I run it. I'll setup the debug logs and see what it outputs. and Report back.
Reply
#25
Looks like i need to install "GLIBCXX_3.4.11" somehow. Any ideas?

Quote:12:05:40 T:3041576688 DEBUG: ADDON: Dll Initializing - NastyFFT OpenGL Spectrum
12:05:40 T:3041576688 DEBUG: SECTION:LoadDLL(/root/.xbmc/addons/visualization.nastyfft/nastyfft.vis)
12:05:40 T:3041576688 DEBUG: Loading: /root/.xbmc/addons/visualization.nastyfft/nastyfft.vis
12:05:40 T:3041576688 ERROR: Unable to load /root/.xbmc/addons/visualization.nastyfft/nastyfft.vis, reason: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /root/.xbmc/addons/visualization.nastyfft/nastyfft.vis)
12:05:40 T:3041576688 INFO: Called Add-on status handler for '4' of clientName:NastyFFT OpenGL Spectrum, clientID:visualization.nastyfft (same Thread=no)
12:05:40 T:3026373520 DEBUG: Thread CAddonStatusHandler:visualization.nastyfft start, auto delete: 1
12:05:40 T:3041576688 DEBUG: CGUIInfoManager::SetCurrentSong(pipe://1/)

After doing some digging looks like the crystalbuntu (which is a very limited custom version of unbuntu designed to only run XBMC on the AppleTV1), I tried running
Quote:apt-get install libstdc++6
with no luck.

This is what I get back when I run

Quote:strings /usr/lib/libstdc++.so.6 | grep GLIBC
Quote:GLIBCXX_3.4
GLIBCXX_3.4.1
GLIBCXX_3.4.2
GLIBCXX_3.4.3
GLIBCXX_3.4.4
GLIBCXX_3.4.5
GLIBCXX_3.4.6
GLIBCXX_3.4.7
GLIBCXX_3.4.8
GLIBCXX_3.4.9
GLIBC_2.3
GLIBC_2.0
GLIBC_2.4
GLIBC_2.1
GLIBC_2.1.3
GLIBC_2.2
GLIBCXX_FORCE_NEW
Reply
#26
Did any of that help Giftie?
Reply
#27
Why isn't this visualization included in today's standard Kodi releases, are there any reasons?
Reply
#28
it was never submitted for inclusion.

i have modernized it at https://github.com/notspiff/visualization.nastyfft. it shows the broken state of the visualizer support in kodi currently - the viz uses the provided frequency data and that is as borked as can be. renders fine but no action cause it's all a bunch of zeros, or out of range data occasionally. the devs who borked it should take action (looking at you AE guys).
Reply
#29
How is it meant to be installed? Would like to try it since I have no problems with the visualizations on XBian with Kodi 14.2 ;-)
Reply
#30
you have to compile it first
Reply



[RELEASE] New OpenGL plugin NastyFFT00